package com.bankaudit.rest.process.service;

import java.util.List;

import org.springframework.web.multipart.commons.CommonsMultipartFile;

import com.bankaudit.process.model.AuditAdhocDocument;
import com.bankaudit.process.model.AuditAdhocReport;

public interface AuditAdhocReportService {

	List<AuditAdhocDocument> getAuditAdhocDocument(Integer legalEntityCode, String auditTypeCode, String planId,
			String auditId, String reportedBy);

	List<AuditAdhocDocument> uploadDocument(Integer legalEntityCode, String auditTypeCode, String planId, String auditId,
			String reportedBy, CommonsMultipartFile[] files)throws Exception;

	void deleteauditAdhocDocument(Integer id, Integer legalEntityCode);

	/*void createAuditAdhocReport(List<AuditAdhocReport> auditAdhocReports);*/

	void updateAuditAdhocReport(List<AuditAdhocReport> auditAdhocReports);

	List<AuditAdhocReport> getAuditAdhocReports(int parseInt, String auditTypeCode, String planId, String auditId,
			String reportedBy);

	List<AuditAdhocReport> getAuditAdhocReportsTargetUser(int parseInt, String auditTypeCode, String planId,
			String auditId, String targetUser);

	AuditAdhocDocument getAuditAdhocDocumentById(Integer id);

}
